---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libattach045Agent00.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x597C0, symBinAddr: 0xC200, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x5B700, symBinAddr: 0xE140, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x5BAF0, symBinAddr: 0xE530, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x5CA90, symBinAddr: 0xF4D0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x5CAA0, symBinAddr: 0xF4E0, symSize: 0x0 }
  - { offsetInCU: 0x8DDA, offset: 0x8DDA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x59400, symBinAddr: 0xC090, symSize: 0x0 }
  - { offsetInCU: 0x8DE5, offset: 0x8DE5, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x59404, symBinAddr: 0xC094, symSize: 0x0 }
  - { offsetInCU: 0x8DF0, offset: 0x8DF0, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x59408, symBinAddr: 0xC098, symSize: 0x0 }
  - { offsetInCU: 0x8E35, offset: 0x8E35, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x59560, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0x8EA2, offset: 0x8EA2, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x59618, symBinAddr: 0xC158, symSize: 0x0 }
  - { offsetInCU: 0x8EC0, offset: 0x8EC0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5961C, symBinAddr: 0xC15C, symSize: 0x0 }
  - { offsetInCU: 0x8ED9, offset: 0x8ED9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x59620, symBinAddr: 0xC160, symSize: 0x0 }
  - { offsetInCU: 0x8EF2, offset: 0x8EF2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x59624, symBinAddr: 0xC164, symSize: 0x0 }
  - { offsetInCU: 0x8F0B, offset: 0x8F0B, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x59628, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0x8F24, offset: 0x8F24, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x59630, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0x8FAD, offset: 0x8FAD, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x59640, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x8FC6, offset: 0x8FC6, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x59648, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x8FDF, offset: 0x8FDF, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x59650, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x8FF8, offset: 0x8FF8, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x59658, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x9011, offset: 0x9011, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x59660, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x902B, offset: 0x902B, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x59668, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x9111, offset: 0x9111, size: 0x8, addend: 0x0, symName: __ZL13internalError, symObjAddr: 0x596AC, symBinAddr: 0xC1BC, symSize: 0x0 }
  - { offsetInCU: 0x912A, offset: 0x912A, size: 0x8, addend: 0x0, symName: __ZL14targetAppClass, symObjAddr: 0x596B0, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x9143, offset: 0x9143, size: 0x8, addend: 0x0, symName: __ZL17agentLoadedMethod, symObjAddr: 0x596B8, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x915C, offset: 0x915C, size: 0x8, addend: 0x0, symName: __ZL19agentFinishedMethod, symObjAddr: 0x596C0, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x9175, offset: 0x9175, size: 0x8, addend: 0x0, symName: __ZL9agentName, symObjAddr: 0x596D0, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x918E, offset: 0x918E, size: 0x8, addend: 0x0, symName: __ZL20eventsCounterMonitor, symObjAddr: 0x596D8, symBinAddr: 0xC1E8, symSize: 0x0 }
  - { offsetInCU: 0x91A7, offset: 0x91A7, size: 0x8, addend: 0x0, symName: __ZL13eventsCounter, symObjAddr: 0x596E0, symBinAddr: 0xC1F0, symSize: 0x0 }
  - { offsetInCU: 0x91C0, offset: 0x91C0, size: 0x8, addend: 0x0, symName: __ZL7options, symObjAddr: 0x596E8, symBinAddr: 0xC1F8, symSize: 0x0 }
  - { offsetInCU: 0x9212, offset: 0x9212, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x3020, symSize: 0x80 }
  - { offsetInCU: 0x92A7, offset: 0x92A7, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x2F70, symSize: 0xB0 }
  - { offsetInCU: 0x9302, offset: 0x9302, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x2E70, symSize: 0x100 }
  - { offsetInCU: 0x9595, offset: 0x9595, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x30A0, symSize: 0x220 }
  - { offsetInCU: 0x977A, offset: 0x977A, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x32C0, symSize: 0xA0 }
  - { offsetInCU: 0x982D, offset: 0x982D, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x3360, symSize: 0x110 }
  - { offsetInCU: 0x9923, offset: 0x9923, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x3470, symSize: 0x150 }
  - { offsetInCU: 0x9A80, offset: 0x9A80, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x35C0, symSize: 0x30 }
  - { offsetInCU: 0x9B61, offset: 0x9B61, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x35F0, symSize: 0x150 }
  - { offsetInCU: 0x9D59, offset: 0x9D59, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x3740, symSize: 0x160 }
  - { offsetInCU: 0x9EF9, offset: 0x9EF9, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x38A0, symSize: 0x1B0 }
  - { offsetInCU: 0xA114, offset: 0xA114, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x3A50, symSize: 0xA0 }
  - { offsetInCU: 0xA1E3, offset: 0xA1E3, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x3AF0, symSize: 0x20 }
  - { offsetInCU: 0xA21A, offset: 0xA21A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x3B10, symSize: 0x20 }
  - { offsetInCU: 0xA251, offset: 0xA251, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x3B30, symSize: 0x20 }
  - { offsetInCU: 0xA3C0, offset: 0xA3C0, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x3B50, symSize: 0x1A0 }
  - { offsetInCU: 0xA6DC, offset: 0xA6DC, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x3CF0, symSize: 0x130 }
  - { offsetInCU: 0xA88C, offset: 0xA88C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x3E20, symSize: 0x80 }
  - { offsetInCU: 0xA955, offset: 0xA955, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x3EA0, symSize: 0x6A0 }
  - { offsetInCU: 0xB4EA, offset: 0xB4EA, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xB310, symBinAddr: 0x58B0, symSize: 0xB0 }
  - { offsetInCU: 0xB561, offset: 0xB561, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x4540, symSize: 0x70 }
  - { offsetInCU: 0xB635, offset: 0xB635, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x45B0, symSize: 0xA0 }
  - { offsetInCU: 0xB740, offset: 0xB740, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x4650, symSize: 0x40 }
  - { offsetInCU: 0xB836, offset: 0xB836, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x4690, symSize: 0x2B0 }
  - { offsetInCU: 0xBBDC, offset: 0xBBDC, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x4940, symSize: 0xC0 }
  - { offsetInCU: 0xBD22, offset: 0xBD22, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x4A00, symSize: 0x10 }
  - { offsetInCU: 0xBDE4, offset: 0xBDE4, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x4A10, symSize: 0x220 }
  - { offsetInCU: 0xC0E1, offset: 0xC0E1, size: 0x8, addend: 0x0, symName: _nsk_free_options, symObjAddr: 0x9C30, symBinAddr: 0x4C30, symSize: 0x150 }
  - { offsetInCU: 0xC1A4, offset: 0xC1A4, size: 0x8, addend: 0x0, symName: _nsk_aod_createOptions, symObjAddr: 0x9D80, symBinAddr: 0x4D80, symSize: 0x3C0 }
  - { offsetInCU: 0xC4D9, offset: 0xC4D9, size: 0x8, addend: 0x0, symName: _nsk_aod_getOptionValue, symObjAddr: 0xA220, symBinAddr: 0x5140, symSize: 0xF0 }
  - { offsetInCU: 0xC5DB, offset: 0xC5DB, size: 0x8, addend: 0x0, symName: _nsk_aod_agentLoaded, symObjAddr: 0xA310, symBinAddr: 0x5230, symSize: 0x270 }
  - { offsetInCU: 0xC88C, offset: 0xC88C, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_20CallStaticVoidMethodEP7_jclassP10_jmethodIDz, symObjAddr: 0xA580, symBinAddr: 0x54A0, symSize: 0xB0 }
  - { offsetInCU: 0xC8F3, offset: 0xC8F3, size: 0x8, addend: 0x0, symName: _nsk_aod_agentFinished, symObjAddr: 0xA630, symBinAddr: 0x5550, symSize: 0x1E0 }
  - { offsetInCU: 0xCAF1, offset: 0xCAF1, size: 0x8, addend: 0x0, symName: _nsk_jvmti_aod_getClassName, symObjAddr: 0xACF0, symBinAddr: 0x5730, symSize: 0x180 }
  - { offsetInCU: 0xCD28, offset: 0xCD28, size: 0x8, addend: 0x0, symName: _classLoadHandler, symObjAddr: 0xBEE0, symBinAddr: 0x5960, symSize: 0x2A0 }
  - { offsetInCU: 0xD092, offset: 0xD092, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xC180, symBinAddr: 0x5C00, symSize: 0x390 }
  - { offsetInCU: 0xD4FA, offset: 0xD4FA, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xC510, symBinAddr: 0x5F90, symSize: 0x36A }
...
